# Function

Static Public Summary
public | authorized(property: string): * Layout for an Authorized object |
public | clusterApiUrl(cluster: *, tls: *): * Retrieves the RPC API URL for the specified cluster |
public | decodeData(type: *, buffer: *): * Decode instruction data buffer using an InstructionType |
public | decodeLength(bytes: Array<number>): number |
public | encodeData(type: *, fields: *): * Populate a buffer of instruction data using an InstructionType |
public | encodeLength(bytes: Array<number>, len: number) |
public | getAlloc(type: Object, fields: Object): number |
public | lockup(property: string): * Layout for a Lockup object |
public | publicKey(property: string): * Layout for a public key |
public | rustString(property: string): * Layout for a Rust String type |
public | async sendAndConfirmRawTransaction(connection: *, rawTransaction: *, confirmations: *): * Send and confirm a raw transaction |
public | async sendAndConfirmTransaction(connection: *, transaction: *, signers: *, confirmations: *): * Sign, send and confirm a transaction. |
public | sleep(ms: number): Promise<void> |
public | toBuffer(arr: *): * |
public | uint64(property: string): * Layout for a 64bit unsigned value |

## Static Public

### public authorized(property: string): * source

    import {authorized} from '@solana/web3'

Layout for an Authorized object

#### Params:

Name | Type | Attribute | Description

property

string

- optional
- default: authorized

#### Return:

*

### public clusterApiUrl(cluster: *, tls: *): * source

    import {clusterApiUrl} from '@solana/web3'

Retrieves the RPC API URL for the specified cluster

#### Params:

Name | Type | Attribute | Description
cluster | * |  |
tls | * |  |

#### Return:

*

### public decodeData(type: *, buffer: *): * source

    import {decodeData} from '@solana/web3'

Decode instruction data buffer using an InstructionType

#### Params:

Name | Type | Attribute | Description
type | * |  |
buffer | * |  |

#### Return:

*

### public decodeLength(bytes: Array<number>): number source

    import {decodeLength} from '@solana/web3'

#### Params:

Name | Type | Attribute | Description
bytes | Array<number> |  |

#### Return:

number

### public encodeData(type: *, fields: *): * source

    import {encodeData} from '@solana/web3'

Populate a buffer of instruction data using an InstructionType

#### Params:

Name | Type | Attribute | Description
type | * |  |
fields | * |  |

#### Return:

*

### public encodeLength(bytes: Array<number>, len: number) source

    import {encodeLength} from '@solana/web3'

#### Params:

Name | Type | Attribute | Description
bytes | Array<number> |  |
len | number |  |

### public getAlloc(type: Object, fields: Object): number source

    import {getAlloc} from '@solana/web3'

#### Params:

Name | Type | Attribute | Description
type | Object |  |
fields | Object |  |

#### Return:

number

### public lockup(property: string): * source

    import {lockup} from '@solana/web3'

Layout for a Lockup object

#### Params:

Name | Type | Attribute | Description

property

string

- optional
- default: lockup

#### Return:

*

### public publicKey(property: string): * source

    import {publicKey} from '@solana/web3'

Layout for a public key

#### Params:

Name | Type | Attribute | Description

property

string

- optional
- default: publicKey

#### Return:

*

### public rustString(property: string): * source

    import {rustString} from '@solana/web3'

Layout for a Rust String type

#### Params:

Name | Type | Attribute | Description

property

string

- optional
- default: string

#### Return:

*

### public async sendAndConfirmRawTransaction(connection: *, rawTransaction: *, confirmations: *): * source

    import {sendAndConfirmRawTransaction} from '@solana/web3'

Send and confirm a raw transaction

#### Params:

Name | Type | Attribute | Description
connection | * |  |
rawTransaction | * |  |
confirmations | * |  |

#### Return:

*

### public async sendAndConfirmTransaction(connection: *, transaction: *, signers: *, confirmations: *): * source

    import {sendAndConfirmTransaction} from '@solana/web3'

Sign, send and confirm a transaction.

If `confirmations` count is not specified, wait for transaction to be finalized.

#### Params:

Name | Type | Attribute | Description
connection | * |  |
transaction | * |  |
signers | * |  |
confirmations | * |  |

#### Return:

*

### public sleep(ms: number): Promise<void> source

    import {sleep} from '@solana/web3'

#### Params:

Name | Type | Attribute | Description
ms | number |  |

#### Return:

Promise<void>

### public toBuffer(arr: *): * source

    import {toBuffer} from '@solana/web3'

#### Params:

Name | Type | Attribute | Description
arr | * |  |

#### Return:

*

### public uint64(property: string): * source

    import {uint64} from '@solana/web3'

Layout for a 64bit unsigned value

#### Params:

Name | Type | Attribute | Description

property

string

- optional
- default: uint64

#### Return:

*